summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-04-07 00:37:51 +0100
committerSam James <sam@gentoo.org>2022-04-07 00:58:15 +0100
commit4db3fa7823e688a79c551abb5643b7977dfeecc9 (patch)
tree8f9f56208452181d1565d76bf67bdad14bcb7b43
parentdev-db/mysql-super-smack: remove unused patch (diff)
downloadgentoo-4db3fa7823e688a79c551abb5643b7977dfeecc9.tar.gz
gentoo-4db3fa7823e688a79c551abb5643b7977dfeecc9.tar.bz2
gentoo-4db3fa7823e688a79c551abb5643b7977dfeecc9.zip
sec-keys/openpgp-keys-tar: new package, add 20220406
Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--sec-keys/openpgp-keys-tar/Manifest1
-rw-r--r--sec-keys/openpgp-keys-tar/metadata.xml8
-rw-r--r--sec-keys/openpgp-keys-tar/openpgp-keys-tar-20220406.ebuild19
3 files changed, 28 insertions, 0 deletions
diff --git a/sec-keys/openpgp-keys-tar/Manifest b/sec-keys/openpgp-keys-tar/Manifest
new file mode 100644
index 000000000000..900365251cf6
--- /dev/null
+++ b/sec-keys/openpgp-keys-tar/Manifest
@@ -0,0 +1 @@
+DIST openpgp-keys-tar-20220406.asc 5987 BLAKE2B ad76db6a7f8fe33e16e423b16bc5a90c834b808973a0f6d2bec29e55867358f1be567b0fe1ff49b52559fe45061fc7b3d1b3edc073f507cbcc66118c9fbbccb9 SHA512 cf4ed7fb68802b531911153a9360576c045ab34864ffb7763a3728312e4da31de4e24e78eba9067f470c21ad6b619ae826a7d7d0175f3a5dd5837af28c4deb42
diff --git a/sec-keys/openpgp-keys-tar/metadata.xml b/sec-keys/openpgp-keys-tar/metadata.xml
new file mode 100644
index 000000000000..b0d83aa2e489
--- /dev/null
+++ b/sec-keys/openpgp-keys-tar/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sec-keys/openpgp-keys-tar/openpgp-keys-tar-20220406.ebuild b/sec-keys/openpgp-keys-tar/openpgp-keys-tar-20220406.ebuild
new file mode 100644
index 000000000000..fe0706e73fec
--- /dev/null
+++ b/sec-keys/openpgp-keys-tar/openpgp-keys-tar-20220406.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="OpenPGP keys used by GNU tar"
+HOMEPAGE="https://savannah.gnu.org/projects/tar/"
+SRC_URI="https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=tar&download=1 -> ${P}.asc"
+S="${WORKDIR}"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
+
+src_install() {
+ local files=( ${A} )
+ insinto /usr/share/openpgp-keys
+ newins - tar.asc < <(cat "${files[@]/#/${DISTDIR}/}" || die)
+}